// Imports
const express = require("express");
const bodyParser = require("body-parser");
const bearerToken = require("express-bearer-token");
// Local Imports
const { Server } = require("./config.json");
// Import Routers
const stashRouter = require("./routes/stash-route");
// Define Constants & Setup Database
const app = express();
const port = Server.Port;
const timeout = 10 * 60 * 1000; // 10 minutes
// Set Up Express session and View engine
app.use(bearerToken());
app.use(bodyParser.json({ limit: Server.BodyLimit }));
app.use(bodyParser.urlencoded({ limit: Server.BodyLimit, extended: false }));
app.use(["/nubian/api/stash", "/api/stash", "/stash"], stashRouter);
const startServer = () => {
  var server = app.listen(port, () => {
    console.log("Node version:" + process.versions.node);
    console.log(`Duneserver listening on port ${port}!`);
  });
  server.timeout = timeout;
  server.on("connection", (socket) => socket.setTimeout(timeout));
};
startServer();
